package models

type DatabaseConfig struct {
	Endpoint string `env:"DB_ENDPOINT,required"`
	Username string `env:"DB_USERNAME,required"`
	Password string `env:"DB_PASSWORD,required,unset"`
	Database string `env:"DB_DATABASE,required"`
	Port     int    `env:"DB_PORT,required" envDefault:"5432"`
	SSL      bool   `env:"DB_SSL,required" envDefault:"true"`
	Timezone string `env:"DB_TIMEZONE,required" envDefault:"Europe/Berlin"`
	Debug    bool   `env:"DB_DEBUG" envDefault:"false"`
	Migrate  bool
}
