package models

import "testing"

func TestPool_TableName(t *testing.T) {
	post := Pool{}
	expectedTableName := "Pool"
	if tableName := post.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}

func TestPoolPost_TableName(t *testing.T) {
	post := PoolPost{}
	expectedTableName := "PoolPost"
	if tableName := post.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}

func TestPoolReference_TableName(t *testing.T) {
	post := PoolReference{}
	expectedTableName := "PoolReference"
	if tableName := post.TableName(); tableName != expectedTableName {
		t.Fatalf("expected %s, but got %s", expectedTableName, tableName)
	}
}
